Anonymous Login
2019-07-21 07:31 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001612OpenClonkEngine - GUIpublic2016-01-21 21:19
ReporterNewton 
Assigned ToZapper 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001612: Tutorial - text is cropped and scrollbar at wrong position
DescriptionSee the screenshot
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004608

Maikel (developer)

The scroll bar is over the text, which is a problem. The empty space on the right is filled with buttons later. Do we need to change something there?

~0004793

Sven2 (developer)

Last edited: 2016-01-17 07:25

View 2 revisions

I had it even "more wrong" though (see Screenshot580.png).

~0004795

Maikel (developer)

That is really strange, which version was that Sven? I'll assign this to Zapper.

~0004801

Zapper (developer)

The first screenshot is clear: the space is intentional and serves as a placeholder for the buttons. (This is no judgement whether that's a good or bad idea).

The second one is weirder. Was that reproducible?

~0004802

Sven2 (developer)

Yes, I can reproduce it. Happens in Tutorial 3 (maybe elsewhere too) when a message is too long so it needs to be scrolled.

Playing on 1024x768.

~0004816

Zapper (developer)

I fixed the scrollbar overlapping the text now.

Both the reserved space for the buttons and your bug, Sven, still need some attention.

~0004825

Zapper (developer)

Now I also made the text use the full width if possible. Now only Sven's bug is left.

~0004842

Zapper (developer)

Does it still happen to you, Sven? (Because it doesn't to me as you will be able to see in a new glorious Controls Spotlight on YouTube soon™)

~0004843

Zapper (developer)

Reminder sent to: Sven2

bump

~0004844

Sven2 (developer)

The text is now correct, but the scroll bar is still offset by approx. the height of the upper board. See new screenshot taken at low res to force scrolling.

~0004847

Zapper (developer)

Should be fixed now.

I might have noticed some other UI weirdnesses when testing, but that's a story for another report.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-15 21:45 Newton New Issue
2016-01-15 21:45 Newton File Added: textscroll_tutorial.jpg
2016-01-15 21:47 Clonkonaut Target Version => 7.1 (Bugfix update)
2016-01-16 12:13 Maikel Note Added: 0004608
2016-01-17 07:24 Sven2 Note Added: 0004793
2016-01-17 07:25 Sven2 File Added: Screenshot580.png
2016-01-17 07:25 Sven2 Note Edited: 0004793 View Revisions
2016-01-17 08:34 Maikel Note Added: 0004795
2016-01-17 08:34 Maikel Assigned To => Zapper
2016-01-17 08:34 Maikel Status new => assigned
2016-01-17 16:29 Zapper Note Added: 0004801
2016-01-17 17:27 Sven2 Note Added: 0004802
2016-01-18 20:40 Zapper Note Added: 0004816
2016-01-19 19:40 Zapper Note Added: 0004825
2016-01-20 21:32 Zapper Note Added: 0004842
2016-01-20 21:32 Zapper Note Added: 0004843
2016-01-21 02:04 Sven2 Note Added: 0004844
2016-01-21 02:05 Sven2 File Added: Screenshot600.png
2016-01-21 21:19 Zapper Note Added: 0004847
2016-01-21 21:19 Zapper Status assigned => resolved
2016-01-21 21:19 Zapper Resolution open => fixed
+Issue History